<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <meta name="author" content="Winnie Hellmann">
  <meta name="author" content="winniehell.de">
  <meta name="dcterms.date" content="2020-01-15">
  <title>Workflows and Project Management in GitLab</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="reveal.js/css/reset.css">
  <link rel="stylesheet" href="reveal.js/css/reveal.css">
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
  <link rel="stylesheet" href="reveal.js/css/theme/black.css" id="theme">
  <link rel="stylesheet" href="style.css"/>
  <!-- Printing and PDF exports -->
  <script>
    var link = document.createElement( 'link' );
    link.rel = 'stylesheet';
    link.type = 'text/css';
    link.href = window.location.search.match( /print-pdf/gi ) ? 'reveal.js/css/print/pdf.css' : 'reveal.js/css/print/paper.css';
    document.getElementsByTagName( 'head' )[0].appendChild( link );
  </script>
  <!--[if lt IE 9]>
  <script src="reveal.js/lib/js/html5shiv.js"></script>
  <![endif]-->
</head>
<body>
  <div class="reveal">
    <div class="slides">

<section id="title-slide" data-background-color="#403368" data-background-image="img/gitlab-icon-rgb.png" data-background-size="contain">
  <h1 class="title">Workflows and Project Management in GitLab</h1>
  <p class="author">Winnie Hellmann</p>
  <p class="author"><a href="https://winniehell.de">winniehell.de</a></p>
  <p class="date">2020-01-15</p>
</section>

<section id="who-is-winnie" class="title-slide slide level1" data-background-color="#403368">
<h1 data-background-color="#403368">Who is Winnie? 🤔</h1>
<ul>
<li>2013: started using GitLab</li>
<li>2015: introduced GitLab at previous company</li>
<li>2016: started contributing to GitLab</li>
<li>2017–2019: frontend engineer at GitLab</li>
</ul>
</section>

<section id="what-is-this" class="title-slide slide level1" data-background-color="#403368">
<h1 data-background-color="#403368">What is this? 📋</h1>
<ul>
<li>task planning / requirement analysis (issues)</li>
<li>estimating / scheduling (weights / milestones)</li>
<li>workflows (labels / boards)</li>
<li>code reviews (merge requests)</li>
</ul>
</section>

<section id="gitlab-basics" class="title-slide slide level1" data-background-color="#403368">
<h1 data-background-color="#403368">GitLab basics 🔢</h1>
<ul>
<li>free software + enterprise features</li>
<li>self-hosted or <a href="https://gitlab.com">gitlab.com</a></li>
<li>started as web interface for Git</li>
<li>now application for complete DevOps cycle</li>
</ul>
</section>

<section id="get-started" class="title-slide slide level1" data-background-color="#403368">
<h1 data-background-color="#403368">Get started 🚀</h1>
<ul>
<li>choose or set up instance<br />
(for example <a href="https://gitlab.com">gitlab.com</a>)</li>
<li><a href="https://docs.gitlab.com/ee/user/profile/account/create_accounts.html">create account</a></li>
<li><a href="https://docs.gitlab.com/ee/user/group/#create-a-new-group">create group</a> (optional)</li>
<li>create new project
<ul>
<li><a href="https://docs.gitlab.com/ee/gitlab-basics/create-project.html#create-a-project-in-gitlab">web interface</a></li>
<li><a href="https://docs.gitlab.com/ee/gitlab-basics/create-project.html#push-to-create-a-new-project">command line</a></li>
</ul></li>
</ul>
</section>

<section>
<section id="issues" class="title-slide slide level1" data-background-image="img/paper-pile.jpg" data-background-opacity="0.75">
<h1 data-background-image="img/paper-pile.jpg" data-background-opacity="0.75"><a href="https://docs.gitlab.com/ee/user/project/issues/">Issues</a></h1>

</section>
<section id="issues-1" class="slide level2" data-background-image="img/paper-pile.jpg" data-background-opacity="0.25">
<h2 data-background-image="img/paper-pile.jpg" data-background-opacity="0.25">Issues</h2>
<ul>
<li>describing tasks, bugs, or features (<a href="https://docs.gitlab.com/ee/user/project/labels.html">labels</a>)</li>
<li><a href="https://docs.gitlab.com/ee/user/discussions/">commenting and discussing changes</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/issues/design_management.html">providing resources</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/issues/issue_data_and_actions.html#3-assignee">assigning work</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/service_desk.html">support requests</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/time_tracking.html">time tracking</a></li>
</ul>
</section>
<section id="issues-2" class="slide level2" data-background-image="img/paper-pile.jpg" data-background-opacity="0.25">
<h2 data-background-image="img/paper-pile.jpg" data-background-opacity="0.25">Issues</h2>
<p>advanced features:</p>
<ul>
<li><a href="https://docs.gitlab.com/ee/user/project/quick_actions.html">Quick Actions</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/issues/related_issues.html">Related Issues</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/issues/csv_import.html">CSV import</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/description_templates.html">Description Templates</a></li>
</ul>
</section>
</section>
<section>
<section id="milestones" class="title-slide slide level1" data-background-image="img/milestone.jpg" data-background-opacity="0.65">
<h1 data-background-image="img/milestone.jpg" data-background-opacity="0.65"><a href="https://docs.gitlab.com/ee/user/project/milestones/">Milestones</a></h1>

</section>
<section id="milestones-1" class="slide level2" data-background-image="img/milestone.jpg" data-background-opacity="0.25">
<h2 data-background-image="img/milestone.jpg" data-background-opacity="0.25">Milestones</h2>
<ul>
<li>sprints or release cycles</li>
<li>contain issues and merge requests</li>
<li>allow filtering</li>
<li><a href="https://docs.gitlab.com/ee/user/project/milestones/burndown_charts.html">burndown charts</a></li>
</ul>
</section>
</section>
<section>
<section id="issue-boards" class="title-slide slide level1" data-background-image="img/sticky-notes.jpg" data-background-opacity="0.5">
<h1 data-background-image="img/sticky-notes.jpg" data-background-opacity="0.5"><a href="https://docs.gitlab.com/ee/user/project/issue_board.html">Issue Boards</a></h1>

</section>
<section id="issue-boards-1" class="slide level2" data-background-image="img/sticky-notes.jpg" data-background-opacity="0.15">
<h2 data-background-image="img/sticky-notes.jpg" data-background-opacity="0.15">Issue Boards</h2>
<ul>
<li>overview of milestones, labels, teams</li>
<li><a href="https://docs.gitlab.com/ee/user/project/issue_board.html#creating-workflows">issue state transitions</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/issue_board.html#issue-ordering-in-a-list">prioritization</a></li>
<li>scoping relevant issues</li>
</ul>
</section>
</section>
<section>
<section id="merge-requests" class="title-slide slide level1" data-background-image="img/waterfall.jpg" data-background-opacity="0.75">
<h1 data-background-image="img/waterfall.jpg" data-background-opacity="0.75"><a href="https://docs.gitlab.com/ee/user/project/merge_requests.html">Merge Requests</a></h1>

</section>
<section id="merge-requests-1" class="slide level2" data-background-image="img/waterfall.jpg" data-background-opacity="0.25">
<h2 data-background-image="img/waterfall.jpg" data-background-opacity="0.25">Merge Requests</h2>
<ul>
<li>changes to common code base</li>
<li><a href="https://docs.gitlab.com/ee/user/discussions/#merge-request-reviews-premium">code reviews</a></li>
<li><a href="https://docs.gitlab.com/ee/user/project/merge_requests/merge_request_approvals.html">approvals</a></li>
<li><a href="https://docs.gitlab.com/ee/ci/">continuous integration</a></li>
</ul>
</section>
</section>
<section id="thank-you-for-listening" class="title-slide slide level1" data-background-image="img/listening.jpg" data-background-opacity="0.5">
<h1 data-background-image="img/listening.jpg" data-background-opacity="0.5">Thank you for listening!</h1>

</section>

<section>
<section id="bonus-slides" class="title-slide slide level1">
<h1>Bonus slides ✨</h1>

</section>
<section id="gitlab-the-company" class="slide level2">
<h2>GitLab, the company</h2>
<ul>
<li>founded 2011</li>
<li>fully remote</li>
<li>over <a href="https://about.gitlab.com/company/team/">1100 team members</a></li>
<li>over <a href="https://about.gitlab.com/company/team/#countries">60 countries</a> (50% from U.S.)</li>
<li>fast growing
<ul>
<li>2018: 200</li>
<li>2019: 400</li>
</ul></li>
</ul>
</section>
<section id="alternatives" class="slide level2">
<h2>Alternatives</h2>
<ul>
<li><a href="https://github.com/">GitHub</a></li>
<li><a href="https://bitbucket.org/">Bitbucket</a></li>
<li><a href="https://gitea.io/">Gitea</a></li>
<li><a href="https://www.jetbrains.com/space/">Space</a></li>
</ul>
</section>
</section>
    </div>
  </div>

  <script src="reveal.js/js/reveal.js"></script>

  <script>

      // Full list of configuration options available at:
      // https://github.com/hakimel/reveal.js#configuration
      Reveal.initialize({
        // Push each slide change to the browser history
        history: true,
        math: {
          mathjax: 'https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js',
          config: 'TeX-AMS_HTML-full',
          tex2jax: {
            inlineMath: [['\\(','\\)']],
            displayMath: [['\\[','\\]']],
            balanceBraces: true,
            processEscapes: false,
            processRefs: true,
            processEnvironments: true,
            preview: 'TeX',
            skipTags: ['script','noscript','style','textarea','pre','code'],
            ignoreClass: 'tex2jax_ignore',
            processClass: 'tex2jax_process'
          },
        },

        // Optional reveal.js plugins
        dependencies: [
          { src: 'reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
          { src: 'reveal.js/plugin/zoom-js/zoom.js', async: true },
          { src: 'reveal.js/plugin/math/math.js', async: true },
          { src: 'reveal.js/plugin/notes/notes.js', async: true }
        ]
      });
    </script>
    </body>
</html>
